# OCI Image publish stage template

oci-image-publish: #Executed on a tag for SAM
  stage: publish
  image: docker:20.10.16
  tags:
    - $SAM_RUNNER
  before_script:
    - apk add git make bash
    - '[ -f .make/oci.mk ] || (echo "File oci.mk not included in Makefile; exit 1")'
    - 'make help | grep oci-publish-all'
    - echo $CI_REGISTRY_PASSWORD | docker login -u $CI_REGISTRY_USER --password-stdin $CI_REGISTRY
  script:
    - make oci-publish-all
  rules:
    - if: '$CI_COMMIT_TAG'
      exists:
        - Dockerfile
        - images/**/*
